%global commit 3c0a06622831bd7af6c231c1b5d5398f3afc7271
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:                datanucleus-api-jdo
Version:             3.2.8
Release:             3
Summary:             DataNucleus JDO API plugin
License:             ASL 2.0
URL:                 https://github.com/datanucleus/datanucleus-api-jdo
Source:              https://github.com/datanucleus/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:       java-devel

# note this HAS to be jdo-api 3.x, not jdo2-api 2.2
BuildRequires:       mvn(javax.jdo:jdo-api) mvn(javax.transaction:jta)
BuildRequires:       mvn(org.datanucleus:datanucleus-core)
# Test deps
BuildRequires:       mvn(junit:junit) mvn(log4j:log4j)

BuildRequires:       maven-local datanucleus-maven-parent

BuildArch:           noarch

%description
Plugin providing DataNucleus implementation of JDO API.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{commit}

sed -i 's/\r//' META-INF/LICENSE.txt META-INF/NOTICE.txt META-INF/README.txt
cp -p META-INF/LICENSE.txt .
cp -p META-INF/NOTICE.txt .
cp -p META-INF/README.txt .

%build

%mvn_file : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Fri Dec 24 2021 yaoxin <yaoxin30@huawei.com> - 3.2.8-3
- This package depends on log4j.After the log4j vulnerability CVE-2021-45105 is fixed,the version needs to be rebuild.

* Thu Dec 16 2021 wangkai <wangkai385@huawei.com> - 3.2.8-2
- This package depends on log4j.After the log4j vulnerability CVE-2021-44228 is fixed,the version needs to be rebuild.

* Wed Aug 19 2020 wangxiao <wangxiao65@huawei.com> - 3.2.8-1
- package init
